import {process} from '@angular/compiler-cli/ngcc';
import path from 'path';

const legacyViewEngineLibraries = [
  ['@awesome-cordova-plugins', 'calendar'],
  ['@ionic-native', 'core'],
];

for (const basePath of legacyViewEngineLibraries) {
  process({basePath: path.resolve(path.join('node_modules', ...basePath))});
}
